#!/bin/sh
# Glacier install script

# Install dependency 1 - autoconf
	printf "installing autoconf"
	cd autoconf-2.71
	./configure --prefix=${EVEREST}/targetfs/usr
	make
	make install
	cd ..

# Install dependency 2 - automake
	printf "installing automake"
	cd automake-1.16.5
	./configure --prefix=${EVEREST}/targetfs/usr --docdir=${EVEREST}/targetfs/usr/share/doc/automake-1.16.5
	make
	make install
	cd ..

# Install dependency 3 - gzip
	printf "installing gzip"
	cd gzip-1.11
	./configure --prefix=${EVEREST}/targetfs/usr
	make
	make check
	make install
	cd ..

# Install dependency 4 - make
	printf "installing make"
	cd make-4.3
	./configure --prefix=${EVEREST}/targetfs/usr
	make
	make check
	make install

# Install dependency 5 - tar
	printf "installing tar"
	cd tar-1.34
	FORCE_UNSAFE_CONFIGURE=1  \
	./configure --prefix=${EVEREST}/targetfs/usr
	make
	make check
	make install
	make -C doc install-html docdir=${EVEREST}/targetfs/usr/share/doc/tar-1.34
	cd ..

# Install dependency 6 - wget
	printf "installing wget"
	cd wget-1.21.2
	./configure --prefix=${EVEREST}/targetfs/usr      \
            --sysconfdir=${EVEREST}/targetfs/etc  \
            --with-ssl=openssl &&
	make
	make install
	cd ..

# Install glacier
	printf "installing glacier"
	cd glacier/install
	./INSTALL-GLACIER.sh

printf "glacier has been successfully installed"
